Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\Location\Trashed Class Reference

Struct containing accessible properties on TrashedLocation entities. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\Content\Location\Trashed:

## Public Attributes
| $trashed
Public Attributes inherited from eZ\Publish\SPI\Persistence\Content\Location
const | SORT_FIELD_PATH = 1
const | SORT_FIELD_PUBLISHED = 2
const | SORT_FIELD_MODIFIED = 3
const | SORT_FIELD_SECTION = 4
const | SORT_FIELD_DEPTH = 5
const | SORT_FIELD_CLASS_IDENTIFIER = 6
const | SORT_FIELD_CLASS_NAME = 7
const | SORT_FIELD_PRIORITY = 8
const | SORT_FIELD_NAME = 9
const | SORT_FIELD_MODIFIED_SUBNODE = 10
const | SORT_FIELD_NODE_ID = 11
const | SORT_FIELD_CONTENTOBJECT_ID = 12
const | SORT_ORDER_DESC = 0
const | SORT_ORDER_ASC = 1
| $id
| $priority
| $hidden
| $invisible
| $remoteId
| $contentId
| $parentId
| $pathIdentificationString
| $pathString
| $depth
| $sortField
| $sortOrder

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Struct containing accessible properties on TrashedLocation entities.

Definition at line 14 of file Trashed.php.

## Member Data Documentation

## ◆ $trashed

eZ\Publish\SPI\Persistence\Content\Location\Trashed::$trashed

Definition at line 21 of file Trashed.php.

The documentation for this class was generated from the following file:

- Trashed.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.